%define major		1
%define minor		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define libnametagc	%mklibname %{name}_c %{minor}

Summary:	Library for reading and editing audio meta data
Name:		taglib
Version:	1.12
Release:	%mkrel 2
License:	LGPLv2+
Group:		File tools
URL:		https://taglib.org/
Source:		https://taglib.github.io/releases/taglib-%{version}.tar.gz
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(cppunit)
BuildRequires:	cmake

%description
TagLib, is well, a library for reading and editing audio meta data,
commonly know as tags.

#---------------------------------------------------------------------

%package -n	%{libname}
Group:		System/Libraries
Summary:	Library for reading and editing audio meta data

%description -n	%{libname}
Main taglib library.


%files -n %{libname}
%{_libdir}/libtag.so.%{major}{,.*}

#---------------------------------------------------------------------

%package -n	%{libnametagc}
Group:		System/Libraries
Summary:	A C bindings for taglib library

%description -n	%{libnametagc}
TagLib, is well, a library for reading and editing audio meta data.

%files -n %{libnametagc}
%{_libdir}/libtag_c.so.%{minor}{,.*}

#---------------------------------------------------------------------

%package -n	%{develname}
Group:		Development/C
Summary:	Headers and static lib for taglib development
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnametagc} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Install this package if you want do compile applications i
using the libtag library.

%files -n %{develname}
%{_bindir}/taglib-config
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%multiarch %{multiarch_bindir}/taglib-config

#---------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake -DWITH_ASF=ON -DWITH_MP4=ON
%cmake_build

%install
%cmake_install

%multiarch_binaries %{buildroot}%{_bindir}/taglib-config


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 1.12-2.mga9
+ Revision: 1799538
- Mageia 9 Mass Rebuild

* Sun Feb 28 2021 daviddavid <daviddavid> 1.12-1.mga9
+ Revision: 1693352
- new version: 1.12
- remove merged upstream patches

* Fri Feb 14 2020 umeabot <umeabot> 1.11.1-6.mga8
+ Revision: 1522816
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Feb 08 2019 daviddavid <daviddavid> 1.11.1-5.mga7
+ Revision: 1364210
- add upstream patch to fix possible Ogg packet losses

* Sun Sep 23 2018 umeabot <umeabot> 1.11.1-4.mga7
+ Revision: 1301306
- Mageia 7 Mass Rebuild

* Tue Jun 19 2018 ns80 <ns80> 1.11.1-3.mga7
+ Revision: 1238079
- add patch for CVE-2018-11439 (mga#23178)
+ wally <wally>
- drop old obsoletes and conflicts
- simplify description

* Fri Aug 18 2017 neoclust <neoclust> 1.11.1-2.mga7
+ Revision: 1141429
- Add P0 - Fixes CVE-2017-12678 (mga#21552)

* Tue Nov 08 2016 luigiwalser <luigiwalser> 1.11.1-1.mga6
+ Revision: 1065918
- 1.11.1

* Tue May 17 2016 daviddavid <daviddavid> 1.11-1.mga6
+ Revision: 1016578
- new version: 1.11

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.10-1.mga6
+ Revision: 917605
- 1.10

* Fri Aug 21 2015 shlomif <shlomif> 1.9.1-5.mga6
+ Revision: 867509
- Rebuild for new libstdc++. Caused VLC crash

* Wed Oct 15 2014 umeabot <umeabot> 1.9.1-4.mga5
+ Revision: 744506
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9.1-3.mga5
+ Revision: 689677
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.9.1-2.mga4
+ Revision: 540490
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 luigiwalser <luigiwalser> 1.9.1-1.mga4
+ Revision: 493724
- 1.9.1 (fixes ABI breakage in 1.9)

* Mon Oct 07 2013 luigiwalser <luigiwalser> 1.9-1.mga4
+ Revision: 492711
- 1.9
- update source URL
- remove patch (fixed differently upstream)
+ fwang <fwang>
- update tarball

* Mon Jan 14 2013 umeabot <umeabot> 1.8-2.mga3
+ Revision: 384007
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 15 2012 fwang <fwang> 1.8-1.mga3
+ Revision: 294064
- new version 1.8.0

* Mon May 14 2012 luigiwalser <luigiwalser> 1.7.2-1.mga3
+ Revision: 235680
- 1.7.2 (fixes CVE-2012-2396)

* Mon Apr 09 2012 luigiwalser <luigiwalser> 1.7.1-1.mga2
+ Revision: 229792
- 1.7.1 (fixes CVE-2012-1107, CVE-2012-1108, and CVE-2012-1584)
+ fwang <fwang>
- new version 1.7

* Sat Jan 15 2011 ahmad <ahmad> 1.6.3-2.mga1
+ Revision: 19523
- drop old/unneeded conflicts
- imported package taglib


* Fri Oct 01 2010 Funda Wang <fwang@mandriva.org> 1.6.3-1mdv2011.0
+ Revision: 582221
- update to new version 1.6.3

* Sat Apr 10 2010 Funda Wang <fwang@mandriva.org> 1.6.2-1mdv2010.1
+ Revision: 533551
- new version 1.6.2

* Sat Mar 13 2010 Funda Wang <fwang@mandriva.org> 1.6.1-1mdv2010.1
+ Revision: 518719
- BR kde4-macros
- update url

  + Emmanuel Andry <eandry@mandriva.org>
    - New version 1.6.1

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Use CMake to build
      Fix file list
      Remove old macros

* Fri Sep 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.6-3mdv2010.0
+ Revision: 444460
- Rebuild
- enable asf and mp4 support ( needed for amarok)

* Tue Sep 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6-1mdv2010.0
+ Revision: 443191
- Update to new version 1.6
- Remove gcc 4.3 tests patch: not needed anymore

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.5-6mdv2010.0
+ Revision: 427224
- rebuild

* Mon Aug 18 2008 Emmanuel Andry <eandry@mandriva.org> 1.5-5mdv2009.0
+ Revision: 273257
- add P1 from gentoo to pass check with gcc4.3

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 11 2008 Götz Waschk <waschk@mandriva.org> 1.5-4mdv2008.1
+ Revision: 185173
- rebuild for missing package

* Mon Feb 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5-3mdv2008.1
+ Revision: 175106
- enable checks
- add cppunit-devel as a buildrequires, used by checks
- link with -ldl

* Mon Feb 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5-2mdv2008.1
+ Revision: 174957
- new license policy
- add missing buildrequires on zlib-devel
- Patch0: convert cjk chars into utf8
- add explicit provides on libtaglib-devel
- use standard macros and defines
- make use of %%major in file list

* Thu Feb 21 2008 Helio Chissini de Castro <helio@mandriva.com> 1.5-1mdv2008.1
+ Revision: 173556
- New final upstream release 1.5

  + Thierry Vignaud <tv@mandriva.org>
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Thu Feb 14 2008 Helio Chissini de Castro <helio@mandriva.com> 1.5-0.rc1.2mdv2008.1
+ Revision: 168652
- Obsolete taglib package, as they have no files inside, just a wrong explicit requires

* Wed Feb 13 2008 Helio Chissini de Castro <helio@mandriva.com> 1.5-0.rc1.1mdv2008.1
+ Revision: 167117
- Release Candidate 1 of new Taglib. Major bugfixes, but keeps ABI and API compatible.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 28 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.4-3mdv2008.0
+ Revision: 31990
- Add Patch2 (close bug #30620)


* Tue Apr 03 2007 Laurent Montel <lmontel@mandriva.com> 1.4-3mdv2007.1
+ Revision: 150241
- Fix mem leak

* Wed Dec 13 2006 Götz Waschk <waschk@mandriva.org> 1.4-2mdv2007.1
+ Revision: 96488
- Import taglib

* Wed Dec 13 2006 Götz Waschk <waschk@mandriva.org> 1.4-2mdv2007.1
- use the right configure macro

* Thu Jul 28 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4-1mdk
- 1.4

* Wed Jan 26 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-3mdk
- Add for multiarch

* Fri Jan 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-2mdk
- Add patch1: fix kde bug #96926

* Mon Nov 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1

* Sat Oct 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-1mdk
- 1.3

* Wed Sep 29 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2-2mdk
- merge lost changes from amd64-branch:
  * mklibnamification fixes

* Thu Jul 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-1mdk
- 1.2
- Desactivate doc

* Tue Jul 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-3mdk
- Compile doc

* Fri Jun 04 2004 Montel Laurent <lmontel@mandrakesoft.com> 1.1-2mdk
- Rebuild with new gcc

* Tue Apr 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-1mdk
- 1.1

